
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Repeater与ListView功能概述及使用介绍_实用技巧 / iVAN</title>

    <meta name="description" content="Repeater与ListView功能概述及使用介绍_实用技巧 Repeater Repeater(foreach)用于对绑定数据源中的数据进行遍历并按格式显示,每条数据以什么格式显示是由Repeater的&lt;ItemTemplate&gt;来决定的,模板会多次显示,就像foreach, ItemTemplate 中相当于{}中的语句.&lt;ItemTemplate&gt;姓名:&lt;%#Eval(&quot;Name&quot;)%&gt;&lt;b&gt;年龄:&lt;%#Eval(&quot;Age&quot;)%&gt;&lt;/b&gt;& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Repeater与ListView功能概述及使用介绍_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>Repeater</strong></p>
<p>Repeater(foreach)用于对绑定数据源中的数据进行遍历并按格式显示，每条数据以什么格式显示是由Repeater的&lt;ItemTemplate&gt;来决定的，模板会多次显示，就像foreach， ItemTemplate 中相当于{}中的语句。&lt;ItemTemplate&gt;姓名：&lt;%#Eval(“Name”)%&gt;&lt;b&gt;年龄：&lt;%#Eval(“Age”)%&gt;&lt;/b&gt;&lt;br /&gt;&lt;/ItemTemplate&gt;。注意：%和#中间不能有空格。</p>
<p>&lt;%#Eval("Name")%&gt;表示在这个位置显示当前实体对象的Name属性，注意调用Eval、Bind这些数据绑定方法的时候要用#。</p>
<p>因为Eval就是将属性显示到指定的位置，因此也可以显示到文本框中&lt;ItemTemplate&gt;姓名：<br />&lt;asp:TextBox runat="server"Text='&lt;%#Eval("Name") %&gt;' /&gt;<br />&lt;/ItemTemplate&gt;</p>
<p>注意不要写成Text="&lt;%#Eval('Name')%&gt;" 因为&lt;%%&gt;中的是C#代码，''是字符，而不是字符串</p>
<p>还可以用在服务器控件中&lt;asp:TextBox Text='&lt;%#Eval("Name") %&gt;'runat="server"&gt;&lt;/asp:TextBox&gt;</p>
<p><strong>DemoCode及注意点<br /></strong>Repeater.aspx</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;% @ Page Language="C#" AutoEventWireup="true" CodeBehind="Repeater.aspx.cs" Inherits ="WebForm.Repeater" %&gt; <br />&lt;! DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; <br />&lt; html xmlns ="http://www.w3.org/1999/xhtml"&gt; <br />&lt; head runat ="server"&gt; <br />&lt;title &gt;&lt;/ title&gt; <br />&lt; style type ="text/css"&gt; <br />#tblist{ border-top :1px solid #000 ; border-left : 1px solid #000 ; margin: 0px auto ;width : 600px;} <br />#tblist td {border-bottom : 1px solid #000 ; border-right: 1px solid #000; padding :5px } <br />#didPanel {position : absolute; left :350px ; top: 200px ;width : 500px; height :70px ; border: 1px solid #000; background-color :Window ; padding: 15px ;display : none} <br />&lt;/style &gt; <br />&lt;/ head&gt; <br />&lt; body&gt; <br />&lt;form id="form1" runat="server"&gt; <br />&lt;asp : ObjectDataSource ID ="ObjectDataSource1" runat ="server" <br />SelectMethod ="getAllClasses" TypeName ="BLL.Classes"&gt; <br />&lt; SelectParameters&gt; <br />&lt; asp: Parameter DefaultValue ="false" Name ="isDel" Type ="Boolean" /&gt; <br />&lt;/ SelectParameters&gt; <br />&lt;/asp : ObjectDataSource&gt; <br />&lt;div &gt; <br />&lt;table id="tbList"&gt; <br />&lt; asp: Repeater ID ="Repeater1" runat ="server" DataSourceID ="ObjectDataSource1"&gt; <br />&lt; HeaderTemplate&gt; &lt;!--头模板--&gt; <br />&lt; tr&gt; <br />&lt; td&gt; ID &lt;/td &gt; <br />&lt; td&gt; Name &lt;/td &gt; <br />&lt; td&gt; Count &lt;/td &gt; <br />&lt; td&gt; Img &lt;/td &gt; <br />&lt; td&gt; 操作 &lt;/td &gt; <br />&lt;/ tr&gt; <br />&lt;/ HeaderTemplate&gt; <br />&lt; ItemTemplate&gt; &lt;!--项模板--&gt; <br />&lt; tr&gt; <br />&lt; td&gt;&lt; input type ="text" value =" &lt;%# Eval("CID")%&gt; " /&gt;&lt;/ td &gt; <br />&lt; td&gt; <br />&lt; asp: TextBox ID ="TextBox1" runat ="server" Text ='&lt;% # Eval("CName")%&gt; '&gt;&lt;/asp : TextBox&gt;&lt;/ td &gt; <br />&lt; td&gt; &lt;% #Eval( "CCount" )%&gt; &lt;/td &gt; <br />&lt; td&gt; <br />&lt;%--&lt;img src="images/&lt;%#Eval("CImg")%&gt;" style="width:100px;height:80px;"/&gt;--%&gt; <br />&lt;!--服务器端图片路径需要添加images/文件路径时 需要放在#号后 如果images/《% 会导致《%被作为字符串解析--&gt; <br />&lt; asp: Image ID ="Image1" runat ="server" ImageUrl ='&lt;% # "images/"+Eval("CImg")%&gt; ' Width ="100px" Height ="80px"/&gt; <br />&lt;!--补充：模板中的按钮一般不写OnClick事件响应，而是响应Repeater的ItemCommand事件。--&gt; <br />&lt;/ td&gt; <br />&lt;/ tr&gt; <br />&lt;/ ItemTemplate&gt; <br />&lt; SeparatorTemplate&gt; &lt;!--两项数据间的间隔模板--&gt; <br />&lt; tr&gt; <br />&lt; td colspan ="5" style ="background-color :red; height:2px; line-height :3px;"&gt;&lt;/td &gt; <br />&lt;/ tr&gt; <br />&lt;/ SeparatorTemplate&gt; <br />&lt; AlternatingItemTemplate&gt; &lt;!--交替项模板--&gt; <br />&lt; tr style ="background-color :Gray"&gt; <br />&lt; td&gt;&lt; input type ="text" value =" &lt;%# Eval("CID")%&gt; " /&gt;&lt;/ td &gt; <br />&lt; td&gt; <br />&lt; asp: TextBox ID ="TextBox1" runat ="server" Text ='&lt;% # Eval("CName")%&gt; '&gt;&lt;/asp : TextBox&gt;&lt;/ td &gt; <br />&lt; td&gt; &lt;% #Eval( "CCount" )%&gt; &lt;/td &gt; <br />&lt; td&gt; &lt;% #Eval( "CImg" )%&gt; &lt;/td &gt; <br />&lt; td&gt; <br />&lt; asp: Button ID ="btnDel" runat ="server" Text ="删除" OnCommand ="Button_OnClick" CommandName ="Del" CommandArgument ='&lt;% # Eval("CID")%&gt; '/&gt; <br />&lt;/ td&gt; <br />&lt;/ tr&gt; <br />&lt;/ AlternatingItemTemplate&gt; <br />&lt; FooterTemplate&gt; &lt;!--脚模板--&gt; <br />&lt; tr&gt; <br />&lt; td colspan ="5"&gt;不是所有痞子都叫一毛 &lt;/ td&gt; <br />&lt;/ tr&gt; <br />&lt;/ FooterTemplate&gt;</p>
<p>&lt;/ asp: Repeater &gt; <br />&lt;/table &gt; <br />&lt;/div &gt; <br />&lt;/form &gt; <br />&lt;/ body&gt; <br />&lt;/ html&gt;</p>
<p>Repeater.aspx.cs</p>
<p><u>复制代码</u> 代码如下:</p>
<p>using System; <br />using System.Web.UI.WebControls; <br />namespace WebForm { <br />public partial class Repeater : System.Web.UI. Page { <br />protected void Page_Load( object sender, EventArgs e) { <br />} <br />protected void Button_OnClick( object sender, CommandEventArgs e) { <br />//Response.Write("CommandArgument" + e.CommandArgument + "CommandName" + e.CommandName + "删除了" + DateTime.Now);需前台设置CommandArgument及CommandName属性 <br />if (new BLL. Classes().SoftDel( Convert .ToInt32(e.CommandArgument)) &gt; 0) { <br />Response.Write( "删除成功" ); <br />Repeater1.DataBind(); //重新绑定数据 否则服务器不会重新生成Repeater数据 而是返回__VIEWSTATE中原有数据 <br />} else { <br />Response.Write( "删除失败" ); <br />} <br />} <br />} <br />}</p>
<p>效果图：<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMDIyODExMTYyNDMzLnBuZw==.jpg"></p>
<p><strong>ListView</strong></p>
<p>Repeater一般只用来展示数据，如果要增删改查(CRUD)则用ListView更方便。使用向导来使ListView会自动生成很多模板，免去手写模板代码的麻烦，必要时进行手工调整即可。</p>
<p> 同Repeater一样设定数据源，然后点击智能提示中的“配置ListView”，选择一种布局和样式，然后根据需要勾选“启用编辑”、“启用删除”、“启用插入”、“启用分页”，就会自动生成常用的模板。</p>
<p>效果图类似：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMDIyODExMTYyNDM0LnBuZw==.jpg"></p>
<p>ListView默认的分页是先从数据源取得所有数据，然后再截取当前页面的部分，在数据量非常大的情况下效率非常低，因此默认分页基本不能用。应该是只从数据源取得要显示的数据。详见下章《如何实现ListView高效分页》</p>
<p>同样内容点可参见《如何实现ListView高效分页》贴出的代码</p>
<p>LayoutTemplate为布局模板，布局模板中必须有一个ID为itemPlaceholder的服务端控件,项占位符（FrameWork4.0以后不需要），itemPlaceholder前面就是相当于Repeater中的HeaderTemplate，itemPlaceholder后面就是相当于Repeater中的FooterTemplate，因此ListView中没有这两个模板。</p>
<p>ItemTemplate是每一项的模板，AlternatingItemTemplate是隔行显示的模板，和Repeater一样。</p>
<p>EmptyDataTemplate为数据源没有数据的时候显示的内容（Insert也算数据），这样的话可以实现“没有查找结果”、“对不起，找不到您要找的数据”等提示内容</p>
<p>InsertItemTemplate为插入数据界面的模板，</p>
<p>EditItemTemplate为编辑数据的模板，</p>
<p>SelectedItemTemplate为标记为Selected的行的模板。</p>
<p>数据源配置见上章 Asp.Net中的数据源</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 02:28:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/repeater/" title="repeater">repeater</a>, <a href="https://www.iamivan.net/tag/listview/" title="listview">listview</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Repeater与ListView功能概述及使用介绍_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW77GGM.html" rel="bookmark">&period;NET Web开发之&period;NET MVC框架介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVC概念 MVC是一种架构设计模式,该模式主要应用于图形化用户界面(GUI)应用程序.那么什么是MVC?MVC由三部分组成:Model(模型).View(视图)及Controller(控制器). Model即应用程序的数据模型.任何应用程序都离不开数据,数据可以存储在数据库中.磁盘文件中,甚至内存中.Model就是对这些数据的抽象,不论数据采取何种存储形式,应用程序总是能够通过Model来对数据进行操作,而不必关心数据的存储形式.数据实体类就是常用的一种Model.例如,一个客户管理应用程序使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6aBQM.html" rel="bookmark">ASP&period;NET的实用技巧详细介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于ASP.NET的实用技巧,其实我们已经接触到很多了.下面为大家总结一下,供大家参考. 1.跟踪页面执行 设置断点是页面调试过程中的常用手段,除此之外,还可以通过查看页面的跟踪信息进行错误排查以及性能优化.ASP.NET中启用页面跟踪非常方便,只需在Page指令中加入Trace=&quot;True&quot;属性即可: &lt;%@ Page Language=&quot;C#&quot; Trace=&quot;true&quot;&gt; 跟踪信息可以分为两类: a.页面执行详细情况 其中主要包括			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkQqrp.html" rel="bookmark">给Repeater控件里添加序号的5种才常见方法介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				.net是目前非常热门的一种程序编译语言,在.net培训中的众多知识点中,给Repeater控件里添加序号的5种方法是非常重要的一个.下面就由达内的老师为大家介绍一下这方面的内容. Repeater是我们经常用的一个显示数据集的数据控件,经常我们希望在数据前显示数据的序号,那么我们该怎么为Repeater控件添加序号呢?下面编辑为大家介绍几种常用的为Repeater控件添加序号的方法: 方法一: 利用Container.ItemIndex属性,代码如下: 复制代码 代码如下: &lt;Itemtemp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZw6vYb.html" rel="bookmark">Repeater中嵌套Repeater的示例介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: protected void Page_Load(object sender, EventArgs e) { if (!Page.IsPostBack) { this.dtCategory = GetCategoryTable(); this.dtProduct = GetProductTable(); rptCategoryList.DataSource = dtCategory; rptCategoryList.DataBind(); } } // 准备一张分类表 Da			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYlJKM.html" rel="bookmark">&period;net中 关于反射的详细介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述反射• 通过反射可以提供类型信息,从而使得我们开发人员在运行时能够利用这些信息构造和使用对象. • 反射机制允许程序在执行过程中动态地添加各种功能.   运行时类型标识 •运行时类型标识(RTTI),可以在程序执行期间判定对象类型.例如使用它能够确切地知道基类引用指向了什么类型对象.•运行时类型标识,能预先测试某个强制类型转换操作,能否成功,从而避免无效的强制类型转换异常. •在c#中有三个支持RTTI的关键字:is . as  .typeof. 下面依次介绍他们   is运算符: 通过is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eXxNb.html" rel="bookmark">indexof 和 indexofany的区别介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  定位子串是指在一个字符串中寻找其中包含的子串或者某个字符.在String类中,常用的定位子串和字符的方法包括IndexOf/LastIndexOf及IndexOfAny/LastIndexOfAny,下面进行详细介绍. 1．IndexOf/LastIndexOfIndexOf方法用于搜索在一个字符串中,某个特定的字符或者子串第一次出现的位置,该方法区分大小写,并从字符串的首字符开始以0计数.如果字符串中不包含这个字符或子串,则返回-1.常用的重载形式如下所示. (1)定位字符: int In			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWowLp.html" rel="bookmark">WPF的数据绑定详细介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.WPF数据绑定的概要 数据绑定:是应用程序 UI 与业务逻辑之间建立连接的过程. 如果绑定正确设置并且数据提供正确通知,则当数据的值发生更改时,绑定到数据的视觉元素会自动反映更改. 数据绑定可能还意味着如果视觉元素中数据的外部表现形式发生更改,则基础数据可以自动更新以反映更改. 例如:如果用户编辑 TextBox 元素中的值,则基础数据值会自动更新以反映该更改. 1. 数据绑定涉及到两个方面: 一个是绑定源,一个是绑定目标.绑定源即控件绑定所使用的源数据,绑定目标即数据显示的控件. 2. 对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1jaOb.html" rel="bookmark">ASP&period;NET MVC5网站开发概述（一）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间一直在用MVC4写个网站开发的demo,由于刚开始学所有的代码都写在一个项目中,越写越混乱,到后来有些代码自己都理不清了.正好看到别人在用MVC5写东西,喜新厌旧的我马上下载了Visual Studio 2013,幸好MVC4到MVC5变化不大,这次准备用MVC5重新写个Demo. 每次看以前写的代码总有把它丢进回收站的冲动,其实没有完美的代码,能解决问题的代码就算是好代码吧,但是我还是决定重新写一个学习的Demo,希望这次能有提高,希望这次能写完吧! 一.开发环境 1.开发环境: Vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QQRXM.html" rel="bookmark">ASP&period;NET Web页生命周期和执行的方法介绍&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以上所列的阶段中有些在页面级是不可见的,并且仅对服务器控件的编写者和要创建从 Page 导出的类的开发人员有意义.Init.Load.PreRender.Unload,再加上由嵌入式控件定义的所有回发事件,就构成了向外发送页面的各个阶段标记. 执行的各个阶段 页面生命周期中的第一个阶段是初始化.这个阶段的标志是 Init 事件.在成功创建页面的控件树后,将对应用程序触发此事件.换句话说,当 Init 事件发生时,.aspx 源文件中静态声明的所有控件都已实例化并采用各自的默认值.控件可以截取 I			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7YgdM.html" rel="bookmark" class="title">datasource-spring quartz数据源的问题</a>
					<div>
						问题描述 spring quartz数据源的问题 spring中配置了两个数据源:一个是默认的dataSource;另一个是dataSourceShare. 配置了两个spring quartz定时器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMynA4p.html" rel="bookmark" class="title">架构企业Blog之7大贴士</a>
					<div>
						架构 上期谈过不少大企业都有自己的Blog,作为推广或内联网之用.企业们如何才能将Blog的功能发挥得更好呢?这次我们将焦点集中于向外推广的功能.&lt;?xml:namespace prefix = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwD5kb.html" rel="bookmark" class="title">妙手回春：教你如何挽救MM废照片</a>
					<div>
						为了挽救废片...我们不得不耍点伎俩...就像这个曝光不足的片子...如果你有一个古典画框还没卖出去...不妨这样做... 复制图层 隐藏&quot;头发和皮肤&quot;图层..对背景层操作..选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyrgeb.html" rel="bookmark" class="title">IBM Accelerator for Machine Data Analytics&lpar;一&rpar;加速机器数据分析</a>
					<div>
						机器数据分析是一项紧迫的商业需要 半数财富 500 强公司每年都会经历超过 80 小时的系统宕机时间.如果均匀分到全年,每天大约有 13 分钟的宕机时间.尽管宕机不可能每天都发生,但有可能在一周后出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7jONM.html" rel="bookmark" class="title">简述ARM-Linux下openssl的移植</a>
					<div>
						Yzs&lt;yiluohuanghun@gmail.com&gt; 版本: openssl 1.0.0b tar xvf openssl-1.0.0b.tar.gz cd openssl-1.0.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLd1Rb.html" rel="bookmark" class="title">PS教你创建逼真的草地字体效果</a>
					<div>
						  最终效果: 新建一个500*500像素大小的文档,设置前景色为白色,背景色为黑色,执行滤镜-渲染-云彩,并将图层名称命名为&quot;污垢&quot;. 将&quot;污垢&quot;图层转换为智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxGorb.html" rel="bookmark" class="title">轻松学五笔与背五笔字根</a>
					<div>
						学会五笔打字,说简单也不简单,要说困难也不难,关键是看你的决心,要学五笔,那就得先背熟字根,下面也例出了最流行的版本的字根. 照笔者学五笔的经验,应该按字母背,比如下面的第一句是11代码字母G.到时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91oEkM.html" rel="bookmark" class="title">Linux系统中的文件名和文件种类以及文件权限详解</a>
					<div>
						  Linux文件种类与副文件名 一直强调一个概念,那就是:任何装置在Linux底下都是文件, 不仅如此,连资料沟通的介面也有专属的文件在负责-所以,你会瞭解到,Linux的文件种类真的很多- 除了前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGGr8p.html" rel="bookmark" class="title">无盘工作站的应用教程</a>
					<div>
						  前面我们提到Windows9X无盘工作站的架设,这是无盘网络正常运行的基础.为了满足我们进一步学习和试验的需要,无盘网络,特別是无盘工作站还需要安装一些必需的硬件和软件,才能使我们的无盘网络如虎添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBmyRz.html" rel="bookmark" class="title">linux下uniq和sort命令用法</a>
					<div>
						  1.uniq命令 使用说明:这个命令读取输入文件,并比较相邻的行.在正常情况下,第二个及以后更多个重复行将被删去,行比较是根据所用字符集的排序序列进行的.该命令加工后的结果写到输出文件中.输入文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQLGZp.html" rel="bookmark" class="title">提高编程能力的靠谱方法</a>
					<div>
						[编者按]起初我是在2010年5月为Fuel Your Coding网站写的这篇文章.然后这个网站现在已经不存在了,为了让爱好编程的人们能够继续受益,所以在这里重新发表这篇文章.我考虑过是否要按照现如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAnDKM.html" rel="bookmark" class="title">客户的需求变来变去是否让你觉得很烦？问卷调查 各位帮帮忙</a>
					<div>
						问题描述 大家好小弟因毕业论文做的,请大家抽出5分钟的时间帮忙填个问卷,谢谢啦.&lt;需求变化对软件开发的影响&gt;http://spreadsheets.google.com/viewform? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b325dJz.html" rel="bookmark" class="title">中国电力合并总售电量减1&percnt;</a>
					<div>
						[本报讯]中国电力(2380)宣布,初步统计公司辖下各电厂(不包括联营公司之电厂)截至09年6月底止上半年的合并总发电量为1673.13万兆瓦时,比去年同期减少0.82%:合并总售电量为1556.57 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NjYqz.html" rel="bookmark" class="title">测试用例设计&mdash;&mdash;如何提高测试覆盖率</a>
					<div>
						说到测试用例的设计,我想每个有过测试经历的测试工程师都会认为很简单,不就是:按需求或概要设计,得到软件功能划分图,然后据此按每个功能,采用等价类划分.临界值.因果图等方法来设计用例就行了. 但事实上撇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRrJjz.html" rel="bookmark" class="title">2012 蓝桥杯【初赛试题】卖鸡蛋</a>
					<div>
						题目描述:     大数学家欧拉在集市上遇到了本村的两个农妇,每人跨着个空篮子.她们和欧拉打招呼说两人刚刚卖完了所有的鸡蛋.     欧拉随便问:&quot;卖了多少鸡蛋呢?&quot;     不料 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAqKXM.html" rel="bookmark" class="title">ASP&period;NET Web深入开发系列</a>
					<div>
						知识结构体系 1:浏览器通讯原理 2:Http协议及TCP协议 3:IIS接收及Socket知识. 4:ASP.NET进程接管处理HTTP请求头 5:ASP.NET 高阶开发知识(不讲WebForm, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRg30b.html" rel="bookmark" class="title">ocrodjvu 0&period;7&period;3发布 OCR系统的打包程序</a>
					<div>
						ocrodjvu是一个用于OCR系统的打包程序,主要是在DjVu文件上执行OCR系统. ocrodjvu 0.7.3版本改善了提取特定字符的边界框时具有较高的准确性. 下载地址:http://pypi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRd6Yp.html" rel="bookmark" class="title">C语言运算符</a>
					<div>
						C语言运算符 一.算术运算 C语言一共有34种运算符,包括常见的加减乘除运算. ①. 加法:+ 还可以表示正号 ②. 减法:- 还可以表示负号 ③. 乘法:* 非数学意义上的X ④. 除法:/ 注意1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKkBnb.html" rel="bookmark" class="title">iPhone6怎么省电&quest;iPhone6 iOS 8&period;1省电技巧&lpar;1&sol;2&rpar;</a>
					<div>
						不少使用iPhone.iPad 的网友相信已经为爱机更新了iOS 8,甚至iOS 8.1.如果你觉得升级后,电池使用时间较以前短,就可以参考以下的方法,尝试改善电池使用时间. 1.找出耗电量大的App ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKkEDb.html" rel="bookmark" class="title">完美解决ASP 不能更新。数据库或对象为只读。&lbrack;原创&rsqb;&lowbar;ASP基础</a>
					<div>
						最近帮别人处理下数据,发现添加数据时,就提示&quot;ASP 不能更新.数据库或对象为只读.&quot;,从网上找了,也没有解决我的问题.1.服务器的数据目录mdb文件所在的目录,是只读的2.数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYGm7p.html" rel="bookmark" class="title">【CF 189A Cut Ribbon】dp</a>
					<div>
						题目链接:http://codeforces.com/problemset/problem/189/A 题意:一个长度为n的纸带,允许切割若干次,每次切下的长度只能是{a, b, c}之一.问最多能切 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JRPWz.html" rel="bookmark" class="title">C&num;特性Attribute的实际应用之：代码统计分析</a>
					<div>
						日常工作中,需要为程序集提供统计分析: 1:程序集方法数: 2:开发人员数目及各自所开发或REVIEW的方法数: 3:测试中,被标注有BUG的数目: 4:直接查看方法的IL代码: 鉴于以上统计的需要, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBggNNM.html" rel="bookmark" class="title">第4周-任务3-正整数类</a>
					<div>
						[题目]设计一个&quot;正整数&quot;类,并通过一系列的成员函数对其性质进行做出判断或列出相关联的数值.下面给出类声明,请实现各成员函数.另外,模仿已经给出的main()函数,完成你所设计的各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPklP0M.html" rel="bookmark" class="title">起点团队吴文辉出走选择：百度或腾讯 经典&OpenCurlyDoubleQuote;盛大式问题&rdquo;</a>
					<div>
						3月初,网络文学界的铁桶江山绽开巨大裂痕. 起点中文网(下称&quot;起点&quot;)创始团队集体请辞,大半核心编辑追随而去. 这场风波看起来与个人江湖恩怨并无太多关联.这是一个经典的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Gwrb.html" rel="bookmark" class="title">中小公司云迁移时的5个注意事项</a>
					<div>
						对中小企业(SMBs)来说,即便很小的经济波动也能对他们产品和服务的需求产生很大的影响.很多时候,他们都需要根据市场的变化对自己的业务进行快速扩大和缩小. 云计算提供的灵活性能为这种公司带来显而易见的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK17Oz.html" rel="bookmark" class="title">photoshop调出高级灰色调儿童摄影照片处理教程</a>
					<div>
						给各位photoshop软件的使用者们来详细的解析分享一下调出高级灰色调儿童摄影照片处理的教程. 教程分享: 1.打开一张画面干净.色彩单纯的可爱婴儿照片:   2.婴儿皮肤略红,执行&quot;色相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL4KDM.html" rel="bookmark" class="title">app访问需要cas登陆的服务</a>
					<div>
						问题描述 现在遇到的问题是这样的:一个app需要服务一个服务端A提供的接口,而服务端对所有的url都有经过CAS过滤器过滤,也就是说要访问服务端A提供的url,必须先登陆cas,app是提供httpc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1No0Kp.html" rel="bookmark" class="title">高分求解基本的java算法题</a>
					<div>
						问题描述 例如:int[][] a={{1,2,3,4,5},{1,2,3,4,6},{1,2,3,4,7}};行合并的规则为:两行中只相差一个数字,就把相差的数字进行合并,例如将a进行行合并处理后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NP9Vb.html" rel="bookmark" class="title">64位设备iOS降级工具正式放出：可刷回已关闭验证固件</a>
					<div>
						本月中旬,越狱开发者tihmstar宣布将发布苹果64位iOS设备的降级工具Prometheus,今天该开发者正式为我们带来了这款工具,有了这款工具,我们可以将设备升级或降级至任何版本,即使是关闭固件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2YY0z.html" rel="bookmark" class="title">非静态内部类可能导致的内存泄漏及其优化</a>
					<div>
						package cc.cc; import android.os.Bundle; import android.app.Activity; /** * Demo描述: * 非静态内部类可能导致的内存泄 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
